using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static bool opadajuci(int l, int r, int[] x)
        {
            for(int i = 0; i < r-1; i++)
            {
                if (x[i] <= x[i + 1])
                    return false;
            }
            return true;
        }
        static bool rastuci_i_jednak(int l, int r, int[] x)
        {
            for(int i = 0; i < r-1; i++)
            {
                if (x[i + 1] < x[i])
                    return false;
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split(' ');
            int[] x = Array.ConvertAll(s, int.Parse);
            int q = int.Parse(Console.ReadLine());

            if(rastuci_i_jednak(0,n,x))
            {
                for (int i = 0; i < q; i++)
                    Console.WriteLine("DA");
            }
            else
            {
                for (int k = 0; k < q; k++)
                {
                    s = Console.ReadLine().Split(' ');
                    int l = int.Parse(s[0]); l--;
                    int r = int.Parse(s[1]);

                    if (l + 1 == r || l + 2 == r)
                        Console.WriteLine("DA");
                    else
                    {
                        if (rastuci_i_jednak(l, r, x))
                            Console.WriteLine("DA");
                        else if (!opadajuci(l, r, x))
                        {
                            int br = 0;
                            for (int i = l; i < r - 1; i++)
                            {
                                if (x[i + 1] < x[i])
                                    br++;
                                if (br > 1)
                                {
                                    Console.WriteLine("NE");
                                    break;
                                }
                            }
                            if (br <= 1)
                                Console.WriteLine("DA");
                        }
                        else
                            Console.WriteLine("NE");
                    }
                }
            }
            
        }
    }
}